<?php

namespace Concrete\Package\OunziwFavoritePages\Block\Favoritebutton;

use Concrete\Core\Block\BlockController;
use Concrete\Core\Package\Package;

class Controller extends BlockController
{

    public function getBlockTypeDescription()
    {
        return t("Favorite Button");
    }

    public function getBlockTypeName()
    {
        return t("Favorite Button");
    }

    public function registerViewAssets($outputContent = '')
    {
        $this->requireAsset('javascript', 'jquery');
    }
    public function view()
    {
        $pkg = Package::getByHandle('ounziw_favorite_pages');
        $imgurl = $pkg->getRelativePath() . '/img/favorite.png';
        $this->set('imgurl', $imgurl);

        $ounziw_favorite_pages_num = $pkg->getConfig()->get('concrete.ounziw_favorite_pages_num');
        $favroitemax = \Concrete\Package\OunziwFavoritePages\Block\Favoritelist\Controller::validatePagesNum($ounziw_favorite_pages_num);
        $this->set('favoritemax', $favroitemax);

    }
}